# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.0-alpha5] - 2024-10-30

### Added

- Added a feature to connect audio ports on startup configured via environment variables (engine-core#68)
- Added instructions and configurations to install a headless PipeWire session (engine-core#80)
- Added the option to add multiple outgoing icecast stream endpoints
- Added the option to add multiple audio input devices 

### Changed

- BREAKING: Changed the aura user and group ID from 2872 to 872.
- Changed the environment variables `AURA_ENGINE_OUTPUT_CHANNEL_LEFT`, `AURA_ENGINE_OUTPUT_CHANNEL_RIGHT`, `AURA_ENGINE_INPUT_CHANNEL_LEFT`, `AURA_ENGINE_INPUT_CHANNEL_RIGHT` to hold full names obtainable with `pw-link -io`
- Updated the liquidsoap version to `2.2.5`
- BREAKING:  Replaced the `.ini` configuration with `.yaml`
- Changed the log level from Integer to String
- Changed the namespaces for some telnet commands, due to the restriction of unique names in the new liquidsoap version
- Renamed `in_line_` to `aura_engine_line_in_` and `lineout_` to `aura_engine_line_out_`.
- BREAKING: Update the timeslot_id data type to string

### Deprecated

- The environment variables `AURA_ENGINE_OUTPUT_DEVICE`, `AURA_ENGINE_INPUT_DEVICE` are not used anymore

### Removed

- Removed the wireplumber scripts to connect ports, use `pw-link` instead (engine-core#68)
- Removed some environment variables in favour of yaml settings
- Removed the mono option for icecast streaming endpoints
- Removed all environment variables for `AURA_ENGINE_STREAM_OUTPUT`

## [1.0.0-alpha3] - 2024-02-27

### Changed

- Default sound system is now JACK, not ALSA
- Docs: Update README with new PipeWire based installation

### Added

- PipeWire as the media server inside the docker container
- Docker compose support for easier building of local containers
- WirePlumber script to automatically connect ports
- WirePlumber script to list device ports

### Removed

- Dropped ALSA in Docker support in favour of PipeWire + JACK

### Fixed

- Smooth play-out latency and buffering for analog audio input (engine-core#50)

## [1.0.0-alpha2] - 2023-06-19

### Changed

- Make properties in API schemas in CamelCase notation (aura#141)
- Configuration: Renamed environment variable `AURA_ENGINE_SERVER_TIMEOUT` to `AURA_ENGINE_SERVER_TIMEOUT`
  and configuration setting `telnet_server_timeout` to `server_timeout`.
- Configuration: Increase default value for `server_timeout`, to avoid malfunctions when idle (aura#165)
- Use datatype float instead of int for `trackDuration` (#51)

### Fixed

- Telnet server sample config not working (engine-core#45).
- Extend and improve output for `make help`.

## [1.0.0-alpha1] - 2023-02-22

Initial release.

