# Audio targets for AURA Makefiles


# Help

define audio_help
	@echo "    audio.pw.install	- install PipeWire in a headless configuration"
	@echo "    audio.pw.status	- show the status of PipeWire"
	@echo "    audio.lqs.test	- test audio device using liquidsoap"
endef


# Targets

audio.pw.install::
	@for g in audio rtkit; do \
		if id -nG aura | grep -qw "$$g"; then \
			echo "User aura is already in group $$g"; \
		else \
			sudo adduser aura $$g; \
		fi \
	done
	sudo apt install dbus-user-session
	sudo loginctl enable-linger aura
	sudo mkdir -p /etc/pipewire
	sudo cp -a /usr/share/pipewire/pipewire.conf /etc/pipewire/
	sudo cp config/systemd/pipewire.socket /etc/systemd/system/pipewire.socket
	sudo cp config/systemd/pipewire.service /etc/systemd/system/pipewire.service
	sudo cp config/systemd/wireplumber.service /etc/systemd/system/wireplumber.service
	sudo systemctl --user --global mask pipewire.socket pipewire.service wireplumber.service
	sudo systemctl daemon-reload
	sudo systemctl enable pipewire.socket pipewire.service wireplumber.service
	@echo "Reboot now for the changes to take effect."

audio.pw.status::
	systemctl status pipewire.service

audio.lqs.test::
	pw-jack liquidsoap tests/device/alsa_device_aura_engine.liq